      ******************************************************************
      **                                                              **
      **                      IBM MQ for Windows                      **
      **                                                              **
      **  FILE NAME:      CMQCFXNL                                    **
      **                                                              **
      **  DESCRIPTION:    MQCFIN64 Structure -- PCF 64-bit Integer    **
      **                  Parameter                                   **
      **                                                              **
      ******************************************************************
      **  <copyright                                                  **
      **  notice="lm-source-program"                                  **
      **  pids="5724-H72,5655-R36,5724-L26"                           **
      **  years="1993,2024"                                           **
      **  crc="1616507131" >                                          **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-H72                                                    **
      **                                                              **
      **  (C) Copyright IBM Corp. 1993, 2024 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  </copyright>                                                **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure            **
      **                  MQCFIN64, which is used by the main MQI.    **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************

      ******************************************************************
      ** <BEGIN_BUILDINFO>                                            **
      ** Generated on:  05/04/24 15:31                                **
      ** Build Level:   p935-001-240405                               **
      ** Build Type:    Production                                    **
      ** Pointer Size:  32 Bit                                        **
      ** Source File:                                                 **
      ** CMQCFXNL                                                     **
      ** <END_BUILDINFO>                                              **
      ******************************************************************

      ** MQCFIN64 structure
       10  MQCFIN64.
      ** Structure type
       15  MQCFIN64-TYPE PIC S9(9) BINARY.
      ** Structure length
       15  MQCFIN64-STRUCLENGTH PIC S9(9) BINARY.
      ** Parameter identifier
       15  MQCFIN64-PARAMETER PIC S9(9) BINARY.
      ** Reserved
       15  MQCFIN64-RESERVED PIC S9(9) BINARY.
      ** Parameter value
       15  MQCFIN64-VALUE PIC S9(18) BINARY.


      ******************************************************************
      **  End of CMQCFXNL                                             **
      ******************************************************************
