      ******************************************************************
      **                                                              **
      **                      IBM MQ for Windows                      **
      **                                                              **
      **  FILE NAME:      CMQIMPOV                                    **
      **                                                              **
      **  DESCRIPTION:    MQIMPO Structure -- Inquire Message         **
      **                  Property Options                            **
      **                                                              **
      ******************************************************************
      **  <copyright                                                  **
      **  notice="lm-source-program"                                  **
      **  pids="5724-H72,5655-R36,5724-L26"                           **
      **  years="1993,2024"                                           **
      **  crc="1616507131" >                                          **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-H72                                                    **
      **                                                              **
      **  (C) Copyright IBM Corp. 1993, 2024 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  </copyright>                                                **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQIMPO,    **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************

      ******************************************************************
      ** <BEGIN_BUILDINFO>                                            **
      ** Generated on:  05/04/24 15:31                                **
      ** Build Level:   p935-001-240405                               **
      ** Build Type:    Production                                    **
      ** Pointer Size:  64 Bit                                        **
      ** Source File:                                                 **
      ** CMQIMPOV                                                     **
      ** <END_BUILDINFO>                                              **
      ******************************************************************

      ** MQIMPO structure
       10  MQIMPO.
      ** Structure identifier
       15  MQIMPO-STRUCID PIC X(4) VALUE 'IMPO'.
      ** Structure version number
       15  MQIMPO-VERSION PIC S9(9) BINARY VALUE 1.
      ** Options that control the action of MQINQMP
       15  MQIMPO-OPTIONS PIC S9(9) BINARY VALUE 0.
      ** Requested encoding of Value
       15  MQIMPO-REQUESTEDENCODING PIC S9(9) BINARY VALUE 17.
      ** Requested character set identifier of Value
       15  MQIMPO-REQUESTEDCCSID PIC S9(9) BINARY VALUE -3.
      ** Returned encoding of Value
       15  MQIMPO-RETURNEDENCODING PIC S9(9) BINARY VALUE 17.
      ** Returned character set identifier of Value
       15  MQIMPO-RETURNEDCCSID PIC S9(9) BINARY VALUE 0.
      ** Reserved
       15  MQIMPO-RESERVED1 PIC S9(9) BINARY VALUE 0.
      ** Returned property name
       15  MQIMPO-RETURNEDNAME.
      ** Address of variable length string
       20  MQIMPO-RETURNEDNAME-VSPTR POINTER VALUE NULL.
      ** Offset of variable length string
       20  MQIMPO-RETURNEDNAME-VSOFFSET PIC S9(9) BINARY VALUE 0.
      ** Size of buffer
       20  MQIMPO-RETURNEDNAME-VSBUFSIZE PIC S9(9) BINARY VALUE 0.
      ** Length of variable length string
       20  MQIMPO-RETURNEDNAME-VSLENGTH PIC S9(9) BINARY VALUE 0.
      ** CCSID of variable length string
       20  MQIMPO-RETURNEDNAME-VSCCSID PIC S9(9) BINARY VALUE -3.
      ** Property data type as a string
       15  MQIMPO-TYPESTRING PIC X(8) VALUE SPACES.


      ******************************************************************
      **  End of CMQIMPOV                                             **
      ******************************************************************
