      ******************************************************************
      **                                                              **
      **                      IBM MQ for Windows                      **
      **                                                              **
      **  FILE NAME:      CMQCHRVL                                    **
      **                                                              **
      **  DESCRIPTION:    MQCHARV Structure -- Variable-length        **
      **                  string                                      **
      **                                                              **
      ******************************************************************
      **  <copyright                                                  **
      **  notice="lm-source-program"                                  **
      **  pids="5724-H72,5655-R36,5724-L26"                           **
      **  years="1993,2024"                                           **
      **  crc="1616507131" >                                          **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-H72                                                    **
      **                                                              **
      **  (C) Copyright IBM Corp. 1993, 2024 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  </copyright>                                                **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQCHARV,   **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************

      ******************************************************************
      ** <BEGIN_BUILDINFO>                                            **
      ** Generated on:  05/04/24 15:31                                **
      ** Build Level:   p935-001-240405                               **
      ** Build Type:    Production                                    **
      ** Pointer Size:  32 Bit                                        **
      ** Source File:                                                 **
      ** CMQCHRVL                                                     **
      ** <END_BUILDINFO>                                              **
      ******************************************************************

      ** MQCHARV structure
       10  MQCHARV.
      ** Address of variable length string
       15  MQCHARV-VSPTR POINTER.
      ** Offset of variable length string
       15  MQCHARV-VSOFFSET PIC S9(9) BINARY.
      ** Size of buffer
       15  MQCHARV-VSBUFSIZE PIC S9(9) BINARY.
      ** Length of variable length string
       15  MQCHARV-VSLENGTH PIC S9(9) BINARY.
      ** CCSID of variable length string
       15  MQCHARV-VSCCSID PIC S9(9) BINARY.


      ******************************************************************
      **  End of CMQCHRVL                                             **
      ******************************************************************
