      ******************************************************************
      **                                                              **
      **                      IBM MQ for Windows                      **
      **                                                              **
      **  FILE NAME:      CMQPDV                                      **
      **                                                              **
      **  DESCRIPTION:    MQPD Structure -- Property descriptor       **
      **                                                              **
      ******************************************************************
      **  <copyright                                                  **
      **  notice="lm-source-program"                                  **
      **  pids="5724-H72,5655-R36,5724-L26"                           **
      **  years="1993,2024"                                           **
      **  crc="1616507131" >                                          **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-H72                                                    **
      **                                                              **
      **  (C) Copyright IBM Corp. 1993, 2024 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  </copyright>                                                **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQPD,      **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************

      ******************************************************************
      ** <BEGIN_BUILDINFO>                                            **
      ** Generated on:  05/04/24 15:31                                **
      ** Build Level:   p935-001-240405                               **
      ** Build Type:    Production                                    **
      ** Pointer Size:  32 Bit                                        **
      ** Source File:                                                 **
      ** CMQPDV                                                       **
      ** <END_BUILDINFO>                                              **
      ******************************************************************

      ** MQPD structure
       10  MQPD.
      ** Structure identifier
       15  MQPD-STRUCID PIC X(4) VALUE 'PD  '.
      ** Structure version number
       15  MQPD-VERSION PIC S9(9) BINARY VALUE 1.
      ** Options that control the action of MQSETMP and MQINQMP
       15  MQPD-OPTIONS PIC S9(9) BINARY VALUE 0.
      ** Property support option
       15  MQPD-SUPPORT PIC S9(9) BINARY VALUE 1.
      ** Property context
       15  MQPD-CONTEXT PIC S9(9) BINARY VALUE 0.
      ** Property copy options
       15  MQPD-COPYOPTIONS PIC S9(9) BINARY VALUE 22.


      ******************************************************************
      **  End of CMQPDV                                               **
      ******************************************************************
