      ******************************************************************
      **                                                              **
      **                      IBM MQ for Windows                      **
      **                                                              **
      **  FILE NAME:      CMQSMPOL                                    **
      **                                                              **
      **  DESCRIPTION:    MQSMPO Structure -- Set Message Property    **
      **                  Options                                     **
      **                                                              **
      ******************************************************************
      **  <copyright                                                  **
      **  notice="lm-source-program"                                  **
      **  pids="5724-H72,5655-R36,5724-L26"                           **
      **  years="1993,2024"                                           **
      **  crc="1616507131" >                                          **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-H72                                                    **
      **                                                              **
      **  (C) Copyright IBM Corp. 1993, 2024 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  </copyright>                                                **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQSMPO,    **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************

      ******************************************************************
      ** <BEGIN_BUILDINFO>                                            **
      ** Generated on:  05/04/24 15:31                                **
      ** Build Level:   p935-001-240405                               **
      ** Build Type:    Production                                    **
      ** Pointer Size:  64 Bit                                        **
      ** Source File:                                                 **
      ** CMQSMPOL                                                     **
      ** <END_BUILDINFO>                                              **
      ******************************************************************

      ** MQSMPO structure
       10  MQSMPO.
      ** Structure identifier
       15  MQSMPO-STRUCID PIC X(4).
      ** Structure version number
       15  MQSMPO-VERSION PIC S9(9) BINARY.
      ** Options that control the action of MQSETMP
       15  MQSMPO-OPTIONS PIC S9(9) BINARY.
      ** Encoding of Value
       15  MQSMPO-VALUEENCODING PIC S9(9) BINARY.
      ** Character set identifier of Value
       15  MQSMPO-VALUECCSID PIC S9(9) BINARY.
      ** Add padding to ensure that the structure ends on the correct
      ** boundary
       15  FILLER  PIC S9(9) BINARY VALUE 0.


      ******************************************************************
      **  End of CMQSMPOL                                             **
      ******************************************************************
